SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Variables
DS_LinkedList.h File Reference
`#include "Export.h"`
`#include "memoryoverride.h"`

Go to the source code of this file.

## Classes

class | DataStructures::CircularLinkedList< CircularLinkedListType >
| (Circular) Linked List ADT (Doubly Linked Pointer to Node Style) - More...
struct | DataStructures::CircularLinkedList< CircularLinkedListType >::node
class | DataStructures::LinkedList< LinkedListType >

## Namespaces

namespace | DataStructures

## Variables

template<class LinkedListType >
class RAK_DLL_EXPORT | DataStructures::LinkedList

## Class Documentation

struct DataStructures::CircularLinkedList::node

### template<class CircularLinkedListType>
struct DataStructures::CircularLinkedList< CircularLinkedListType >::node

Definition at line 158 of file DS_LinkedList.h.

Class Members
CircularLinkedListType | item |
node * | next |
node * | previous |